Renombrar un tracker por Flespi ID
curl --request PATCH \
--url https://api.ugps.io/api/trackers/flespi/{flespiId}/name \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Camión 01"
}
'import requests
url = "https://api.ugps.io/api/trackers/flespi/{flespiId}/name"
payload = { "name": "Camión 01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Camión 01'})
};
fetch('https://api.ugps.io/api/trackers/flespi/{flespiId}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"imei": "<string>",
"flespiId": "<string>",
"name": "<string>",
"clientId": "<string>",
"phone": "<string>",
"hardware": "<string>",
"lastPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"lastConnection": "2023-11-07T05:31:56Z",
"speed": 123,
"ignitionStatus": true,
"timestamp": "2023-11-07T05:31:56Z",
"trip_config": "no_config",
"initial_odometer": 0,
"odometer_calculated": false,
"initial_horometer": 0,
"horometer_calculated": false
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Tracking - Trackers
Renombrar un tracker por Flespi ID
Actualiza únicamente el nombre de un tracker identificado por su flespiId.
Permisos requeridos: access_fleet_assets
Datos requeridos:
name(string): Nuevo nombre del tracker (no puede estar vacío)
PATCH
/
api
/
trackers
/
flespi
/
{flespiId}
/
name
Renombrar un tracker por Flespi ID
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
ID del dispositivo en Flespi
Body
application/json
Nuevo nombre del tracker
Minimum string length:
1Example:
"Camión 01"
Obtener posiciones de un tracker en un rango de fechasObtener inputs disponibles para configurar sensores
⌘I